Bug 1437675 - ftrace: pull upstream commits for correct selftest operation
Summary: ftrace: pull upstream commits for correct selftest operation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: 2.5
Hardware: x86_64
OS: Linux
high
high
Target Milestone: 2.5.29
: 2.3
Assignee: Clark Williams
QA Contact: Jiri Kastner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-30 20:53 UTC by Clark Williams
Modified: 2017-08-08 18:56 UTC (History)
3 users (show)

Fixed In Version: kernel-rt-3.10.0-514.rt56.230.el6rt
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-08-08 18:56:51 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2444 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2017-08-08 22:50:57 UTC

Description Clark Williams 2017-03-30 20:53:28 UTC
We need the following upstream commits:

3ddee63a099ebbdc8f84697fe46730b58240c09d
ftrace: Only disable ftrace_enabled to test buffer in selftest

addff1feb02b03cb766b9a611c6b2cebf29bc285
tracing: Clean up scheduling in trace_wakeup_test_thread()

A boot hang is seen in the trace kernel on MRG without these commits

Comment 2 Clark Williams 2017-07-11 21:57:51 UTC
commit 3ddee63a099ebbdc8f84697fe46730b58240c09d was applied to kernel tree in build kernel-rt-3.10.0-514.rt56.212.el6rt


Applied commit addff1feb02b03cb766b9a611c6b2cebf29bc285 to MRG tree. Should be available in kernel-rt-3.10.0-514.rt56.230.el6rt

Comment 7 errata-xmlrpc 2017-08-08 18:56:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2444


Note You need to log in before you can comment on or make changes to this bug.